import { NS } from '@ns'

export async function main(ns : NS) : Promise<void> {
    const stat: number[] = [];
    const M = 10;
    for (let i = 0; i < 100; i++) {
        const start = performance.now();
        await ns.sleep(M);
        const end = performance.now();
        stat.push(end- start); 
    }
    const avg = stat.reduce((x,y)=>x+y)/stat.length;
    const max = Math.max(...stat);
    const min = Math.min(...stat);
    ns.tprint(`avg : ${avg - M}`);
    ns.tprint(`max : ${max - M}`);
    ns.tprint(`min : ${min - M}`);
}