import {NS} from "@ns"

export async function logFile(ns:NS,logFilename:string, data: unknown):Promise<void>{
    logFilename = logFilename.replaceAll(" ","-");
    logFilename = `/log/${logFilename}${Date.now()}.txt`;
    const loggedData = JSON.stringify(data);
    if(ns.fileExists(logFilename)){
        await ns.write(logFilename,"\n"+loggedData,"a");
    }
    else {
        await ns.write(logFilename,loggedData,"w");
    }
}