import {NS } from "@ns";


type WorkFunc = ()=>void;
type WorkChunk = {
    onStart: WorkFunc[];
    onFinish: WorkFunc[];
}

interface Tickable {
    tick(): void;
}

class PidTerminateExecutor{
    ns: NS;
    lastCheck: number;
    pidSet: Map<number, EventTarget>;
    tick(): void{
        const current = this.ns.getTimeSinceLastAug();
        const deadScripts = this.ns.getRecentScripts().filter(x=>x.timeOfDeath >= current);
        deadScripts.forEach(x=>{
            if(this.pidSet.has(x.pid)){
                const target = this.pidSet.get(x.pid);
                target?.dispatchEvent(new )
            }
        });
    }
}

class TimerExecutor{
    ns: NS;
    constructor(ns: NS){
        this.ns = ns;
    }
    asdf():{

    }
}
