/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable @typescript-eslint/explicit-function-return-type */
//Array Jumping Game

export function isJumpPossible(arr:number[]){
    let possible = 0;
    for (let i = 0; i <= possible && i < arr.length; i++) {
        const element = arr[i];
        possible = Math.max(possible,i+element);
        if(possible >= arr.length - 1) return true;
    }
    return false;
}

export function arrayJumpSolve(arr:number[]): number{
    return isJumpPossible(arr) ? 1 : 0;
}

export const testcases:Array<[number[],string]> = [
    [[5,4,7,0,0,0,0],"1"],
    [[0,0,0,5,7],"0"],
    [[1,1,1,1],"1"],
    [[3,0,0,1],"1"],
    [[2,0,1,0],"1"],
    [[2,0,1,0,0],"0"]
]

//for (const [data,ans] of testcases) {
//    console.log(solve(data), ans);
//}